Package Details

Package: LSSTimmask-0.2.2+3
Product: LSSTimmask
SVN Revision: 44807
Effective SVN Revision (incl depedencies): 44807
Effective latest update: 10/01/2017-15:27
Lifecycle: operational
Lifecycle (spec): operational
State: OK
Validation State: OK
Inherited State: OK
Build State: OK
Test State: OK

Dependency Graph

Remark: The dependency graph depicts for packages dependant on LSSTimmask-0.2.2+3 only the latest version per product. Furthermore, test dependencies are not visible.

Listed Dependencies (main)

cfitsio_shared-3.370+0 OK
gsl-1.15+0 OK
fftw_double-3.3.2+5 OK
minuit2-5.22.00+0 OK
xpa-2.1.14+3 OK
LSSTafw-7.1.2.0+1 OK
LSSTbase-7.1.1.0+1 OK
LSSTdafbase-7.1.1.0+1 OK
LSSTdafpersistence-7.1.1.0+2 OK
LSSTipisr-7.1.1.0+3 OK
LSSTmeasalgorithms-7.1.2.0+2 OK
LSSTpexconfig-7.1.2.0+1 OK
LSSTpexexceptions-6.2.0.0+3 OK
LSSTpexlogging-6.2.1.0+4 OK
LSSTpexpolicy-6.2.0.0+4 OK
LSSTpipebase-7.2.0.0+1 OK
LSSTutils-7.1.2.0+1 OK
LSSTboost-1.51.0+3 OK
wcslib-4.14+4 OK
fftw-3.3.2+6 OK

For a list with all direct and indirect dependencies and dependants (main and test) see all dependencies.

Messages:

OK Package validated, build and test status ok.

All Reports

build desbuild 10/01/2017-15:30 OK

Table File

1 # internal LSST packges
2 setupRequired(LSSTafw 7.1.2.0+1)
3 setupRequired(LSSTbase 7.1.1.0+1)
4 setupRequired(LSSTdafbase 7.1.1.0+1)
5 setupRequired(LSSTdafpersistence 7.1.1.0+2)
6 setupRequired(LSSTipisr 7.1.1.0+3)
7 setupRequired(LSSTmeasalgorithms 7.1.2.0+2)
8 setupRequired(LSSTpexconfig 7.1.2.0+1)
9 setupRequired(LSSTpexexceptions 6.2.0.0+3)
10 setupRequired(LSSTpexlogging 6.2.1.0+4)
11 setupRequired(LSSTpexpolicy 6.2.0.0+4)
12 setupRequired(LSSTpipebase 7.2.0.0+1)
13 setupRequired(LSSTutils 7.1.2.0+1)
14
15 # External LSST packages required
16 setupRequired(LSSTboost 1.51.0+3)
17 setupRequired(wcslib 4.14+4)
18 setupRequired(cfitsio_shared 3.370+0)
19 setupRequired(gsl 1.15+0)
20 setupRequired(fftw 3.3.2+6)
21 setupRequired(fftw_double 3.3.2+5)
22 setupRequired(minuit2 5.22.00+0)
23 setupRequired(xpa 2.1.14+3)
24
25 # FM -- this boost is imcompatible with LSST, ignore
26 #setupRequired(boost 1.51.0+4)

Build File

  (empty file)